%define ver      0.8.9
%define rel      2

Summary: An xterm replacement for Enlightenment users.
Name: Eterm 
Version: %ver
Release: %rel
Copyright: GPL
Group: User Interface/X
Source0: ftp://ftp.eterm.org/pub/Eterm/Eterm-%{ver}.tar.gz
Source1: ftp://ftp.eterm.org/pub/Eterm/Eterm-bg-scale-1.tar.gz
Source2: ftp://ftp.eterm.org/pub/Eterm/Eterm-bg-scale-2.tar.gz
Source3: ftp://ftp.eterm.org/pub/Eterm/Eterm-bg-tile.tar.gz
Patch0: Eterm-misc.patch
URL: http://www.eterm.org/
BuildRoot: /var/tmp/Eterm-root
Requires: imlib

%description
Eterm is a color vt102 terminal emulator with enhanced graphical
capabilities.  Eterm is intended to be a replacement for xterm for
Enlightenment window manager users, but it can also be used as a
replacement for xterm by users without Enlightenment.  Eterm supports
various themes and is very configurable, in keeping with the
philosophy of Enlightenment. If you install Eterm, you'll also need to
have the Imlib library installed.

%prep
%setup -q -n Eterm-%{ver} -b 1 -b 2 -b 3
%patch0 -p1 -b .tim

cp -rd $RPM_BUILD_DIR/Eterm/bg $RPM_BUILD_DIR/Eterm-%{ver}

%build
./configure
make CLFAGS="RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT/usr install

( cd $RPM_BUILD_ROOT
  mv ./usr/bin/Eterm ./usr/bin/Eterm-%{ver}
  ln -sf Eterm-%{ver} ./usr/bin/Eterm
  chmod +x ./usr/lib/lib*.so.*.*
)

strip -s $RPM_BUILD_ROOT/usr/bin/* || :


# the following is only used when building for the first time! Do not list
# directories ulimately. Use the following for the first run through the
# build, and then copy the relavent directories to the %files section, and
# then comment the next line out
#find $RPM_BUILD_ROOT -not -name $RPM_BUILD_ROOT/usr/doc -type d | sed -e "s#^$RPM_BUILD_ROOT#%%dir #g" > rpm-Eterm-files


# This is OK to use *SOMETIMES*. Only use this if you know for a fact that
# there will be no conflics with other packages, ie. /usr/info/dir would cause
# a big problem.
find $RPM_BUILD_ROOT -not -name $RPM_BUILD_ROOT/usr/doc -type f | sed -e "s#^$RPM_BUILD_ROOT##g" >> rpm-Eterm-files

%clean
rm -rf $RPM_BUILD_ROOT

%files -f rpm-Eterm-files
%defattr(-,root,root)
%doc doc/FAQ.html doc/Eterm_reference.html doc/Eterm.1.html
%doc COPYING README ChangeLog CVS-README
%dir /usr/share/Eterm
%dir /usr/share/Eterm/themes
%dir /usr/share/Eterm/themes/Eterm
%dir /usr/share/Eterm/themes/chooser
%dir /usr/share/Eterm/themes/emacs
%dir /usr/share/Eterm/themes/irc
%dir /usr/share/Eterm/themes/mutt
%dir /usr/share/Eterm/themes/tn3270
%dir /usr/share/Eterm/themes/trans
%dir /usr/share/Eterm/pix

%changelog
* Fri Aug 20 1999 Tim Powers <timp@redhat.com>
- fixed roblem with removing all files when uninstalling Eterm.

* Tue Jul 27 1999 Tim Powers <timp@redhat.com>
- updated version to 0.8.9
- cleaned up spec
- updated patch
- includes new backgrounds
- built for 6.1

* Mon Apr 05 1999 Michael Maher <mike@redhat.com>
- update to 0.8.8

* Fri Oct 23 1998 Jeff Johnson <jbj@redhat.com>
- update to 0.8.7.

* Fri Oct 08 1998 Michael Maher <mike@redhat.com>
- built eterm
